const QUESTION = "What is your favorite color?";
const ANSWER = "yellow";


/** Returns a new trivia question for the user (only one question for now). */
export const newQuestion = (req, res) => {
  res.json({index: 0, text: QUESTION});
};


/** Tells the user whether their answer was correct. */
export const checkAnswer = (req, res) => {
  const answer = first(req.query.answer);
  if (answer === undefined) {
    res.status(400).send('missing "answer" parameter');
    return;
  }

  res.json({correct: answer.toLowerCase() === ANSWER});
};


// Helper to return the (first) value of the parameter if any was given.
// (This is mildly annoying because the client can also give mutiple values,
// in which case, express puts them into an array.)
const first = (param) => {
  if (Array.isArray(param)) {
    return param[0];
  } else {
    return param;
  }   
};
